Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Reply to Work Order Message POSTList Work Order Messages GETCreate Work Order Message POST

Resources

CommunicationMessages

Create Work Order Message


Post a new message to a work order. Optionally set async=true to process the delivery asynchronously.

POST
/api/rest/v2/workorders/{work_order_id}/messages

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

Query Parameters

acting_user_id?integer

Acting user id

async?boolean

Asynchronous

Value intrue | false

Request Body

application/json

add message request body.

message*string

Message content

type?string

Message type

Value in"INTERNAL" | "ASSIGNEDTECH" | "REQUESTEDTECHS" | "SPECIFICTECH" | "FROMTECH" | "REPLY" | "TECHTOMANAGER" | "ROUTEDTECHS" | "REPLYTOTHREAD" | "STAFF_NOTE"
to?

Message recipient

notify?array<>

List of user IDs to notify

classic_alert?boolean

Whether to send a classic alert notification

reason?string

Reason for the message

action_event_type?string

Associated action event type

category?string

Message category

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/messages" \  -H "Content-Type: application/json" \  -d '{    "message": "Technician has arrived on site.",    "type": "FROMTECH"  }'
{
  "actions": [],
  "correlation_id": "string_value",
  "metadata": {
    "total": 100,
    "page": 0,
    "pages": 5,
    "per_page": 20,
    "columns": "string_value",
    "view": "string_value",
    "sort": "string_value",
    "order": "string_value"
  },
  "params": [],
  "f_work_order": [],
  "fs_work_order": true,
  "f_only_workorder": true,
  "fs_only_workorder": true,
  "results": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

List Work Order Messages GET

Previous Page

Get Work Order Location GET

Next Page

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/messages" \
  -H "Content-Type: application/json" \
  -d '{
    "message": "Technician has arrived on site.",
    "type": "FROMTECH"
  }'